package com.pcloud.book.adnews.entity;

import com.pcloud.common.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description
 * @Author ruansiyuan
 * @Date 2019/7/17 15:20
 **/
@ApiModel("编辑新闻群关联")
public class AdNewsGroup extends BaseEntity {

    private static final long serialVersionUID = 6345080788160740088L;

    @ApiModelProperty("分类Id")
    private Long classifyId;

    @ApiModelProperty("社群码id")
    private Long bookGroupId;

    @ApiModelProperty("早晚报设置id")
    private Long adNewsSetId;

    @ApiModelProperty("是否删除")
    private Boolean isDelete;

    @ApiModelProperty("创建人")
    private Long createUser;

    @ApiModelProperty("修改人")
    private Long updateUser;

    public Long getClassifyId() {
        return classifyId;
    }

    public void setClassifyId(Long classifyId) {
        this.classifyId = classifyId;
    }

    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public Long getAdNewsSetId() {
        return adNewsSetId;
    }

    public void setAdNewsSetId(Long adNewsSetId) {
        this.adNewsSetId = adNewsSetId;
    }

    public Boolean getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Boolean isDelete) {
        this.isDelete = isDelete;
    }

    public Long getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Long createUser) {
        this.createUser = createUser;
    }

    public Long getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(Long updateUser) {
        this.updateUser = updateUser;
    }

    @Override
    public String toString() {
        return "AdNewsGroup{" +
                "classifyId=" + classifyId +
                ", bookGroupId=" + bookGroupId +
                ", adNewsSetId=" + adNewsSetId +
                ", isDelete=" + isDelete +
                ", createUser=" + createUser +
                ", updateUser=" + updateUser +
                "} " + super.toString();
    }
}
